Bug 702723 - (sch_generic) (master bug) WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x108/0x17c()
(master bug) WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x108/0x17c()
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Tracking
: 718812 718944 765783 765784 766140 768130 783253 783698 (view as bug list)
Depends On: 715137 716864 718886 866583 717211 784692 797589 799648 802659 811559 812648 819601 822669 850609 855181 861523 885332 888490 906950 951892
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-06 14:13 EDT by Filipe Rosset
Modified: 2015-03-28 11:35 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-05 17:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (2.18 KB, text/plain)
2011-05-06 14:13 EDT, Filipe Rosset
no flags Details

  None (edit)
Description Filipe Rosset 2011-05-06 14:13:44 EDT
abrt version: 2.0.1
cmdline: ro root=UUID=59365d3a-e089-4d6e-a9e3-dad8c98981e5 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us-acentos rhgb quiet
component: kernel
reported_to: kerneloops: URL=http://submit.kerneloops.org/submitoops.php
kernel: 2.6.38.5-22.fc15.x86_64
kernel_tainted: 512
reason: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x108/0x17c()
architecture: x86_64
package: kernel
os_release: Fedora release 15 (Lovelock)
time: 1304705313

Text file: backtrace, 2234 bytes

event_log
-----
2011-05-06-15:13:36> Submitting oops report to http://submit.kerneloops.org/submitoops.php
2011-05-06-15:13:38  Kernel oops report was uploaded
Comment 1 Filipe Rosset 2011-05-06 14:13:48 EDT
Created attachment 497423 [details]
File: backtrace
Comment 2 Steven Haigh 2011-05-26 08:19:27 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Watchdog fires and hangs ethernet connection until this crash happens...
Comment 3 Steven Haigh 2011-05-26 08:30:54 EDT
This may be the same bug as this:
https://bugzilla.redhat.com/show_bug.cgi?id=693442
Comment 4 Volans 2011-05-29 16:12:51 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I was connecting to a wireless network (kmod-wl and akmod-wl). Any influence....?
Comment 5 Steven Haigh 2011-05-29 17:14:17 EDT
Hmmm - mine was on a wired ethernet - so while its probably the same bug, it seems to not be interface specific. I lodged the other bug during the Alpha / Beta stage and nothing got done - so I wouldn't hold your breath.

I ended up going back to Windows on this system - as I couldn't stand not having the ethernet connection randomly dying for a minute or so at a time while this was going on...
Comment 6 Volans 2011-06-02 20:48:48 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
This bug is probably related with the Broadcom drivers I have working in my laptop. I was trying to connect to wireless, when the problem occured.
Comment 7 Victor Ion Munteanu 2011-06-05 04:55:22 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Don't know.
Comment 8 Jiri Moskovcak 2011-06-07 14:01:00 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
dakskmdlsamda
Comment 9 Luiz Anderson 2011-06-13 20:55:03 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Problema no netbook
Comment 10 Luiz Anderson 2011-06-13 21:02:09 EDT
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Problema no netbook
Comment 11 Dave Jones 2011-07-11 16:36:39 EDT
*** Bug 715137 has been marked as a duplicate of this bug. ***
Comment 12 Dave Jones 2011-07-11 16:36:45 EDT
*** Bug 716864 has been marked as a duplicate of this bug. ***
Comment 13 Dave Jones 2011-07-11 16:36:52 EDT
*** Bug 717211 has been marked as a duplicate of this bug. ***
Comment 14 Dave Jones 2011-07-11 16:36:58 EDT
*** Bug 718812 has been marked as a duplicate of this bug. ***
Comment 15 Dave Jones 2011-07-11 16:37:04 EDT
*** Bug 718886 has been marked as a duplicate of this bug. ***
Comment 16 Dave Jones 2011-07-11 16:37:11 EDT
*** Bug 718944 has been marked as a duplicate of this bug. ***
Comment 17 Dave Jones 2011-07-11 20:07:14 EDT
going to use this bug as a master bug to track all the different chips this is affecting.  See https://bugzilla.redhat.com/showdependencytree.cgi?id=702723&hide_resolved=1 for the relevant bug for your hardware.

new bugs should be duped against those, not this one, even though abrt will keep filing here because of the hash. This is ok.

Any drivers not on the list already should be created as new bugs, and added to this bugs 'depends on' list.
Comment 18 Josh Boyer 2011-12-09 07:27:01 EST
*** Bug 765783 has been marked as a duplicate of this bug. ***
Comment 19 Josh Boyer 2011-12-09 07:27:53 EST
*** Bug 765784 has been marked as a duplicate of this bug. ***
Comment 20 Josh Boyer 2011-12-11 10:12:39 EST
*** Bug 766140 has been marked as a duplicate of this bug. ***
Comment 21 Josh Boyer 2011-12-15 15:37:41 EST
*** Bug 768130 has been marked as a duplicate of this bug. ***
Comment 22 Josh Boyer 2012-01-23 10:52:22 EST
*** Bug 783698 has been marked as a duplicate of this bug. ***
Comment 23 Josh Boyer 2012-01-23 14:31:31 EST
*** Bug 783253 has been marked as a duplicate of this bug. ***
Comment 24 Dave Jones 2012-02-05 17:26:55 EST

*** This bug has been marked as a duplicate of bug 717211 ***
Comment 25 Dave Jones 2012-02-06 10:21:44 EST
reopening due to comment #17
Comment 26 Sverd Johnsen 2012-04-15 01:33:25 EDT
First time I see this, machine has been in use for quite a while.

Warning: Somewhat tainted kernel and certainly not Fedora, but it seems relevant so I just let you know that this can happen on sky2.

[24934.050014] ------------[ cut here ]------------
[24934.050031] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x1bd/0x1d0()
[24934.050036] Hardware name: Aspire T180
[24934.050041] NETDEV WATCHDOG: eth0 (sky2): transmit queue 0 timed out
[24934.050047] Pid: 0, comm: swapper Not tainted 3.3.2-fo2+ #2
[24934.050051] Call Trace:
[24934.050055]  <IRQ>  [<ffffffff8127f5dd>] ? dev_watchdog+0x1bd/0x1d0
[24934.050068]  [<ffffffff810209c4>] ? warn_slowpath_common+0x74/0xb0
[24934.050074]  [<ffffffff8127f420>] ? pfifo_fast_enqueue+0xa0/0xa0
[24934.050080]  [<ffffffff81020a75>] ? warn_slowpath_fmt+0x45/0x50
[24934.050089]  [<ffffffff8104096c>] ? __wake_up_common+0x4c/0x80
[24934.050094]  [<ffffffff8127f5dd>] ? dev_watchdog+0x1bd/0x1d0
[24934.050101]  [<ffffffff8102b8ea>] ? run_timer_softirq+0xea/0x1f0
[24934.050107]  [<ffffffff8102b800>] ? cascade+0x90/0x90
[24934.050114]  [<ffffffff81025cc2>] ? __do_softirq+0x72/0xf0
[24934.050122]  [<ffffffff81013968>] ? lapic_next_event+0x18/0x20
[24934.050130]  [<ffffffff812fa28a>] ? call_softirq+0x1a/0x23
[24934.050136]  [<ffffffff810033e5>] ? do_softirq+0x45/0x80
[24934.050142]  [<ffffffff81025f0d>] ? irq_exit+0x8d/0xa0
[24934.050149]  [<ffffffff81013f62>] ? smp_apic_timer_interrupt+0x52/0x80
[24934.050156]  [<ffffffff812f9d26>] ? apic_timer_interrupt+0x66/0x70
[24934.050160]  <EOI>  [<ffffffff81008b06>] ? default_idle+0x16/0x30
[24934.050172]  [<ffffffff81008b51>] ? amd_e400_idle+0x31/0xf0
[24934.050177]  [<ffffffff81000756>] ? cpu_idle+0xd6/0xe0
[24934.050183]  [<ffffffff814348d6>] ? 0xffffffff814348d5
[24934.050187] ---[ end trace d150c0274aafbace ]---
[24934.050196] sky2 0000:03:00.0: eth0: tx timeout
[24934.050348] sky2 0000:03:00.0: eth0: transmit ring 81 .. 82 report=81 done=82
[24935.737781] sky2 0000:03:00.0: eth0: Link is up at 100 Mbps, full duplex, flow control both
Comment 27 Josh Boyer 2012-06-06 08:48:00 EDT
Moving this bug to rawhide so it doesn't get closed out at F15 EOL.
Comment 28 Martin Gregory 2013-02-14 16:31:27 EST
I have an issue with this symptom, and have been reading around about it.

There are reports of

 WARNING: at net/sched/sch_generic.c:256 dev_watchdog

dating back to 2005.

It strikes me that this is because a watchdog timeout tells you nothing about the underlying cause (obviously?)

Therefore, I don't think that the attached bug reports are necessarily duplicates at all (in the sense of "have the same cause, will be fixed by the same fix").

I spent a good deal of time reading through the various reports looking for a solution to my own issue before I realised this and the apparent consequence: there is no point in do that.  Someone else's solution in all likelihood will not be mine anyhow.

If anyone else is doing this, at least take a look and see if the 

NETDEV WATCHDOG: eth0 (sky2): transmit queue 0 timed out

line matches yours.  If you have different hardware, or some other message there, it's prettly low likelihood (my guess) that this is your issue.
Comment 29 Fedora End Of Life 2013-04-03 15:27:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 30 Justin M. Forbes 2013-04-05 12:20:00 EDT
Is this still a problem with 3.9 based F19 kernels?
Comment 31 Clemens Eisserer 2013-05-31 06:21:14 EDT
Justin: Yes, I experience it on an SiS-Chipset based P4 notebook with 3.9.3
Comment 32 Kjell.Randa@broadpark.no 2015-03-28 11:35:18 EDT
Has started to show up on the latest Fedora 20 kernels (3.18.9-100.fc20.x86_64)

[  277.711026] WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:303 dev_watchdog+0x23f/0x250()
[  277.711034] NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
[  277.711037] Modules linked in: bnep bluetooth rfkill fuse 8021q garp mrp stp llc rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache nvidia_uvm(POE) binfmt_misc tcp_diag inet_diag f71882fg coretemp snd_hda_codec_hdmi nvidia(POE) kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec iTCO_wdt gpio_ich r8169 drm iTCO_vendor_support snd_hwdep mii snd_seq snd_seq_device microcode serio_raw snd_pcm shpchp snd_timer snd soundcore i2c_i801 lpc_ich mfd_core acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c raid1 firewire_ohci firewire_core ata_generic pata_acpi crc_itu_t
[  277.711104] CPU: 1 PID: 0 Comm: swapper/1 Tainted: P           OE  3.18.9-100.fc20.x86_64 #1
[  277.711106] Hardware name: MICRO-STAR INTERNATIONAL CO.,LTD MS-7345/MS-7345, BIOS V1.0 05/04/2007
[  277.711109]  0000000000000000 fb1cd27bac294823 ffff88012fc83d48 ffffffff81745f2b
[  277.711113]  0000000000000000 ffff88012fc83da0 ffff88012fc83d88 ffffffff81095061
[  277.711116]  ffff88012fc83d78 0000000000000000 ffff880036a72000 0000000000000001
[  277.711120] Call Trace:
[  277.711123]  <IRQ>  [<ffffffff81745f2b>] dump_stack+0x46/0x58
[  277.711133]  [<ffffffff81095061>] warn_slowpath_common+0x81/0xa0
[  277.711137]  [<ffffffff810950d5>] warn_slowpath_fmt+0x55/0x70
[  277.711149]  [<ffffffff810ab66a>] ? __queue_work+0x12a/0x310
[  277.711158]  [<ffffffff8165556f>] dev_watchdog+0x23f/0x250
[  277.711161]  [<ffffffff81655330>] ? dev_graft_qdisc+0x80/0x80
[  277.711166]  [<ffffffff810f795a>] call_timer_fn+0x3a/0x110
[  277.711170]  [<ffffffff81655330>] ? dev_graft_qdisc+0x80/0x80
[  277.711176]  [<ffffffff810f9382>] run_timer_softirq+0x212/0x2f0
[  277.711180]  [<ffffffff810992a5>] __do_softirq+0xf5/0x2d0
[  277.711186]  [<ffffffff8109978d>] irq_exit+0x12d/0x140
[  277.711192]  [<ffffffff8175012a>] smp_apic_timer_interrupt+0x4a/0x60
[  277.711199]  [<ffffffff8174e1fd>] apic_timer_interrupt+0x6d/0x80
[  277.711202]  <EOI>  [<ffffffff810599f6>] ? native_safe_halt+0x6/0x10
[  277.711210]  [<ffffffff810f26f3>] ? rcu_eqs_enter+0x73/0xa0
[  277.711214]  [<ffffffff8101e62f>] default_idle+0x1f/0xc0
[  277.711218]  [<ffffffff8101efef>] arch_cpu_idle+0xf/0x20
[  277.711223]  [<ffffffff810d5642>] cpu_startup_entry+0x382/0x3c0
[  277.711228]  [<ffffffff81106a7c>] ? clockevents_register_device+0xbc/0x120
[  277.711234]  [<ffffffff810471f2>] start_secondary+0x192/0x200
[  277.711237] ---[ end trace 15ae9162b4763764 ]---
[  277.717267] r8169 0000:04:00.0 eth0: link up
[  761.818314] perf interrupt took too long (2505 > 2500), lowering kernel.perf_event_max_sample_rate to 50000
[ 1615.717267] r8169 0000:04:00.0 eth0: link up
[ 2425.717274] r8169 0000:04:00.0 eth0: link up
[ 2437.717255] r8169 0000:04:00.0 eth0: link up

Note You need to log in before you can comment on or make changes to this bug.